
import 'dart:async';
import 'package:flutter/services.dart';
import 'dyteParticipant.dart';
import 'dyteSelfParticipant.dart';

class DyteMeetingHandler {
  static const MethodChannel _channel = const MethodChannel('dyte_client');
    
  static Future<List<DyteParticipant>?> get participants async {
    final List<Map<String,dynamic>> ret = await _channel.invokeMethod('getMeetingParticipants');
    List<DyteParticipant> participants = <DyteParticipant>[];
    ret.forEach((p) {
        participants.add(new DyteParticipant(p));
    });
    return participants;
  }
  static Future<DyteSelfParticipant?> get self async {
    final Map<String,dynamic> ret = await _channel.invokeMethod('getSelf');
    return new DyteSelfParticipant(ret);
  } 
}